# list - Neırssi 1.3 documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

# list

## Syntax

    LIST [-yes] [<channel>]

## Parameters

`-yes`: | Confirms that you want to receive a large amount of data.

If the exact name of a channel is given, the only information about this channel is requested; otherwise, a list of all channels will be displayed.

## Description

Displays the channel names that match your request; requesting all channels may cause the server to disconnect you for flooding.

## Examples

    /LIST
    /LIST -yes
    /LIST #ubuntu
    /LIST #*ubuntu*,>1

## Remarks

Not all networks support server-side filtering. Some provide a network service or service bot instead; on IRCnet, you may use the List service:

    /SQUERY Alis HELP

Other networks with service bots (like ChanServ) may also provide a list service bot (confirm with /WHOIS ALIS):

    /MSG Alis HELP

## See also

STATS, SQUERY, WHOIS